normalize.loess {codelink} | R Documentation

## Normalized chips using cyclic loess.

### Description

Takes a matrix and apply cyclic loess normalization. It is based in normalize.loess from package affy but supports NA.

### Usage

      normalize.loess(mat, subset = sample(1:(dim(mat)[1]),
        min(c(5000, nrow(mat)))), epsilon = 10^-2, maxit = 1, log.it = TRUE,
            verbose = FALSE, span = 2/3, family.loess = "symmetric", weights = NULL)

### Arguments

`mat` | a matrix with columns containing the values of the chips to normalize.
`subset` | a subset of the data to fit a loess to.
`epsilon` | a tolerance value (supposed to be a small value - used as a stopping criterium).
`maxit` | maximum number of iterations.
`log.it` | logical. If `TRUE` it takes the log2 of `mat`
`verbose` | logical. If `TRUE` displays current pair of chip being worked on.
`span` | parameter to be passed the function `loess`
`family.loess` | parameter to be passed the function `loess`. `"gaussian"` or `"symmetric"` are acceptable values for this parameter.
`weights` | a vector of weights for the individual measurements.

### Value

A matrix of normalized values.

### Author(s)

Diego Diez

### Examples

    ## Not run:
            mat <- matrix(sample(500), 100, 5)
            mat <- normalize.loess(mat)
    ## End(Not run)

[Package codelink version 1.12.1 Index]